Package org.eclipse.emf.cdo.view

# Class CDODirtyStateAdapter

java.lang.Object
org.eclipse.emf.cdo.view.CDODirtyStateAdapter

All Implemented Interfaces:
  `EventListener`, `org.eclipse.net4j.util.event.IListener`

public abstract class CDODirtyStateAdapter extends Object implements org.eclipse.net4j.util.event.IListener
A `listener` that calls the `onDirtyStateChanged(boolean)` method when the `dirty` state of the `view` this listener is `registered` with has changed.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`CDODirtyStateAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`protected void`
`notifyOtherEvent(org.eclipse.net4j.util.event.IEvent event)`
`protected abstract void`
`onDirtyStateChanged(boolean dirty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDODirtyStateAdapter

public CDODirtyStateAdapter()

## Method Details

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

### notifyOtherEvent

protected void notifyOtherEvent(org.eclipse.net4j.util.event.IEvent event)

### onDirtyStateChanged

protected abstract void onDirtyStateChanged(boolean dirty)